## com.baidubce.services.sms.model
Enum TemplateStatus

    java.lang.Object
      java.lang.Enum<TemplateStatus>
          com.baidubce.services.sms.model.TemplateStatus

All Implemented Interfaces:
  Serializable, Comparable<TemplateStatus>

    public enum TemplateStatus

extends Enum<TemplateStatus>

The status of message template

This class is a `ENUM`class``

Enum Constant Summary
`PROCESSING`
`UNVALID`
`VALID`

Method Summary
`String` `getDesc()`
`String` `getValue()`
`void` `setDesc(String desc)`
`void` `setValue(String value)`
`static TemplateStatus` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TemplateStatus[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PROCESSING

    public static final TemplateStatus PROCESSING

### VALID

    public static final TemplateStatus VALID

### UNVALID

    public static final TemplateStatus UNVALID

Method Detail

### values

    public static TemplateStatus[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TemplateStatus c : TemplateStatus.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TemplateStatus valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getValue

    public String getValue()

### setValue

    public void setValue(String value)

### getDesc

    public String getDesc()

### setDesc

    public void setDesc(String desc)

Copyright © 2016. All rights reserved.